При покупке советника оставить возможность использовать любую его прошлую версию.

Авторизуйтесь или зарегистрируйтесь, чтобы добавить комментарий
Mikhail Tsygankov
1302
Mikhail Tsygankov  
  • 51% (53)
  • 30% (31)
  • 18% (19)
Всего проголосовало: 85
Mikhail Tsygankov
1302
Mikhail Tsygankov  

Случается, что прошлые версии могут работать лучше. НА МАРКЕТЕ! (уточняю, так как некоторые не видят разницу с фрилансом)

Предложение для MQ, чтобы появилось "дерево" выбора в терминале около каждого советника с его прошлыми версиями, чтобы можно было выбрать какую версию использовать.

Sergey Pavlov
13654
Sergey Pavlov  

Я всегда против чужих предложений, так как я самый умный и добавлю в теме(без аргументов), что это бред.

Нет, самый умный это Вы. Как можно создать опрос, в котором можно одновременно сказать да и нет?

Mikhail Tsygankov
1302
Mikhail Tsygankov  
Sergey Pavlov:

Нет, самый умный это Вы. Как можно создать опрос, в котором можно одновременно сказать да и нет?


О, первый пошёл))

Petros Shatakhtsyan
14413
Petros Shatakhtsyan  
Sergey Pavlov:

Нет, самый умный это Вы. Как можно создать опрос, в котором можно одновременно сказать да и нет?


Это наверно от того, что он впервые делает опрос.

И если другие так умны, то пусть выберут только один пункт.

Вот мне тоже иногда некоторые покупатели спрашивают как можно переходить на старые версии.

Не только надо дать возможность использовать старые версии, но и надо добавить возможность скидки или компенсации,поскольку иногда обещаешь вернуть месячную арендную плату после покупки продукта и нет возможности.

И приходится вернуть из своего кармана и потерять 20%.

Ihor Herasko
21191
Ihor Herasko  

Замучаетесь поддерживать старые версии. Если новая версия чем-то хуже предыдущей, то это прямое указание на необходимость выпуска более новой версии. И так до тех пор, пока новая версия не станет лучше той старой, к которой пользователь хочет вернуться.

Mikhail Tsygankov
1302
Mikhail Tsygankov  

Для тех, для кого форма - всё, содержание - ничто, поясню. Воспринимайте этот "опрос" как опрос-обращение к администрации. Спасибо за понимание и голос.

Mikhail Tsygankov
1302
Mikhail Tsygankov  
Ihor Herasko:

Замучаетесь поддерживать старые версии. Если новая версия чем-то хуже предыдущей, то это прямое указание на необходимость выпуска более новой версии. И так до тех пор, пока новая версия не станет лучше той старой, к которой пользователь хочет вернуться.


Нет, продавец не будет нести ношу поддержки старой версии. Это слишком. Даже предлагаю отклонять вопросы пользователей по старым версиям. То есть использование старых версий с ошибками итп - полностью на совести покупателя.

Ihor Herasko
21191
Ihor Herasko  
Mikhail Tsygankov:

Нет, продавец не будет нести ношу поддержки старой версии. Это слишком. Даже предлагаю отклонять вопросы пользователей по старым версиям. То есть использование старых версий с ошибками итп - полностью на совести покупателя.


Каким образом тогда предполагается откат с новой версии на старую, если поддержки нет? Совместимость она такая: либо она есть (нужна поддержка), либо ее нет (поддержки нет, а, следовательно, и откатиться не выйдет).

Mikhail Tsygankov
1302
Mikhail Tsygankov  
Ihor Herasko:

Каким образом тогда предполагается откат с новой версии на старую, если поддержки нет? Совместимость она такая: либо она есть (нужна поддержка), либо ее нет (поддержки нет, а, следовательно, и откатиться не выйдет).


Никакого отката не предусмотрено. При скачивании продукта из маркета требуется добавить возможность скачать либо последнюю, либо любую другую версию советника, либо все сразу В терминале просто под катом советника будет несколько его версий. Продавец будет "нести ответственность" только за последнюю - актуальную по его мнению версию. Все довольны.

Ihor Herasko
21191
Ihor Herasko  
Mikhail Tsygankov:

Никакого отката не предусмотрено. При скачивании продукта из маркета требуется добавить возможность скачать либо последнюю, либо любую другую версию советника, либо все сразу В терминале просто под катом советника будет несколько его версий. Продавец будет "нести ответственность" только за последнюю - актуальную по его мнению версию. Все довольны.


Смотрите глубже. Если работала более новая версия, то она требовала соответствующего окружения (ордера, файлы, глобальные переменные). В старой версии мог быть другой формат работы со всем этим окружением. То есть поставив старую версию после новой пользователь может нарваться на краш (утрирую, конечно). Чтобы его не допустить, нужно предусмотреть совместимость между новой и старой версией. А это и есть дополнительная работа для разработчика.

Другое дело, когда программка простая и никаких дополнительных требований к ней, кроме наличия ее самой, нет. Но ведь не будет же Маркет разбираться, для какого продукта можно разрешать использование старой версии, а для какого - нельзя. Верить продавцу на слово - не дело.

Авторизуйтесь или зарегистрируйтесь, чтобы добавить комментарий